> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/iam-federation/api-how-tos/set-user-privileges-identity-federation-api.md).

# Set User Privileges through the API

{% hint style="info" %}
**Prerequisite:** You need administrative privileges to create and assign user privileges using the Cloud API.
{% endhint %}

To set user privileges using the Cloud API to manage IAM resources, follow these steps:

1\. Authenticate to the Cloud API using your API credentials.

2\. [<mark style="color:blue;">Create a user</mark>](https://api.ionos.com/docs/cloud/v6/#tag/User-management/operation/umUsersPost) using the POST `/cloudapi/v6/um/users` endpoint.

* Enter the following required parameters for the user:`firstname`, `lastname`, `email`, and `password`.

3\. [<mark style="color:blue;">Create a group</mark>](https://api.ionos.com/docs/cloud/v6/#tag/User-management/operation/umGroupsPost) using the POST `/cloudapi/v6/um/groups` endpoint.

* Enter the required group `name` parameter for the group.
* Set the `accessAndManageIamResources` privilege to `true`.

4\. [<mark style="color:blue;">Assign user to the group</mark>](https://api.ionos.com/docs/cloud/v6/#tag/User-management/operation/umGroupsUsersPost) that is created using the POST `/cloudapi/v6/um/groups/{groupId}/users` endpoint and provide the user ID in the header.

* Enter the required `id` parameter to identify the user uniquely.

{% hint style="success" %}
**Result:** The `accessAndManageIamResources` privilege is granted to the user.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/iam-federation/api-how-tos/set-user-privileges-identity-federation-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
